
/* MAIN ############ */

:root{
  --primaryColor: #2c3e50;
  --websites: #f0f0f0;
  --apps: #f0f0f0;
  --hightlightColor: #41B883;
}

body{
  margin: 0;
  padding: 0;
  font-family: 'Avenir', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: var(--primaryColor);
  font-size: 16px;
  background-color: #f0f0f0;
}
.container{
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: 70% auto;
  column-gap: 20px;
  margin-top: 40px;
  margin-bottom: 80px;
}
.left, .right {
  background-color: white;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(0,0,0,0.3);
}
.content{
  padding: 20px;
}
h1, h2{
  margin-top: 20px;
}
h3{
  display: block;
  border-bottom: 1px solid var(--primaryColor);
}
.article{
  width: 200px;
  height: 200px;
  background-color: #f0f0f0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 10px;
  align-items: center;
}
.art-title{
  font-weight: bold;
}


/* HEADER ###########*/

.header {
  padding: 20px;
  display: flex;
  background-color: var(--primaryColor);
  color: white;
  justify-content: space-between;
  box-shadow: 0 2px 4px rgba(0,0,0,0.3);
}

a{
  color: inherit;
  text-decoration: inherit;
  margin-right: 20px;
}
nav{
  text-align: right;
}

.actionbutton {
  padding: 20px;
  padding-bottom: 5px;
  background-color: #41B883;
  color: white;
  border: none;
  border-radius: 4px;
  font-size: 1.1em;
  text-align: center;
  line-height: 0em;

}
.actionbutton .title{
  font-weight: bold;
  font-size: 1.3em;
  margin-bottom: 1.5em;
  display: block;
}
.actionbutton:hover{
  cursor: pointer;
  background-color: #5bc596;
}


/* Sidebar ############# */
.sidebar{
  width: 100%;
  padding: 20px;
  padding-top: 0;
  box-sizing: border-box;
}
.subline{
  font-size: 1em;
}
.sidebar h2{
  padding-top: 40px;
  margin-top: 0;
}
.sidebar h3{
  margin-bottom: 5px;
  margin-top: 5px;
  border: none;
}

.list {
  line-height: 1.7em;
  padding-bottom: 10px;
}




/* FORMS ######## */
input[type=text], textarea{
  outline: none;
  width: 100%;
  height: 50px;
  box-sizing: border-box;
  border: 2px solid #ccc;
  border-radius: 4px;
  background-color: #f8f8f8;
  background-size: 25px;
  background-position: 10px 10px;
  background-repeat: no-repeat;
  padding: 12px 20px 12px 40px;
  margin-top: 5px;
  margin-bottom: 5px;
  font-size: 1em;
}
input[type=text]:focus, textarea:focus{
  border:2px solid var(--primaryColor);
  background-color: white;
}
input[name=name]{
  background-image: url('../res/person.png');
}
input[name=email]{
  background-image: url('../res/mail.png');
}
textarea{
  resize: none;
  padding: 12px 20px 12px 5px;
  height: 200px;
}

@media (orientation: portrait) {
  .container {
    display: flex;
    flex-direction: column;
  }
  .actionbutton{
    font-size: 30px;
    width: 100%;
  }
  .header {
    flex-direction: column;
    text-align: center;
  }
  nav{
    font-size: 80px;
    text-align: center;
  }
  nav a:nth-child(2)::before, nav a:nth-child(3)::before {
    content: ' | ';
  }


}
